#!/usr/bin/env python3
n = int(input())

while n > 0:
    # should give output before you expect a move from zhivago
    zhivago = input()
    if zhivago == "I give up":
        break
    bot_move = int(zhivago)
    n -= bot_move
    print(1)
    n -= 1
